SDL_GetHaptics(3)

NAME
SDL_GetHaptics - Get a list of currently connected haptic devices.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_HapticID* SDL_GetHaptics(int *count);

FUNCTION PARAMETERS

count
    a pointer filled in with the number of haptic devices returned

RETURN VALUE
Returns a 0 terminated array of haptic device instance IDs which should be freed with SDL_free (), or NULL on error; call SDL_GetError () for more details.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_OpenHaptic(3)